package com.ahuntsic.outils;

/**
 * MonStringTokenizer.java
 * permet d'utiliser les fonctionnalits du StringTokenizer.
 * Cette classe est utile parce que StringTokenizer n'implmente pas la srialization
 * Date: 07/10/2005
 * Pour: Mr. Mohammed Salah Bendelloul
 * Projet: tp2
 *
 * @author Hassen Ben Tanfous
 */

//imports
import java.io.*;

public class MonStringTokenizer implements Serializable {

    private String chaine,
            delim, //dlimiteur
            jeton;

    /**
     * permet d'initialiser une chane avec son dlimiteur afin de la
     * dcomposer
     * @param chaine String
     * @param delim String
     */
    public MonStringTokenizer(String chaine, String delim) {
        this.chaine = chaine;
        this.delim = delim;
    }

    public String nextJeton() {
        int posi = chaine.indexOf(delim);
        if (posi != -1) {
            jeton = chaine.substring(0, posi);
            chaine = chaine.substring(chaine.indexOf(delim) + 1);
        } else {
            jeton = chaine.substring(0);
        }
        return jeton;
    }
}
